# norootforbuild

Name:		bibletime
Version:	2.8.0
Release:	1.pm.1.1

Summary:	A Bible Study Application
URL: 		http://www.bibletime.info
License:	GNU General Public License version 2 (GPL v2)
Group:		Productivity/Scientific/Other

Source0:	%{name}-%{version}.tar.bz2

Patch0:		%{name}-pixmap.patch

Requires:	sword

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	clucene-core-devel gcc-c++ curl-devel libjpeg-devel
BuildRequires:	libQtWebKit-devel boost-devel cmake make
BuildRequires:	sword-devel update-desktop-files


%description
BibleTime is a Bible study application built with Qt4, using the  Sword
programming library to work with Bible texts, commentaries, dictionaries
and books provided by the Crosswire Bible Society. 





%prep
%setup -q
%patch0 -p1


%build
%__mkdir build
pushd build
cmake -DCMAKE_INSTALL_PREFIX="%{_prefix}" ..
%__make %{?jobs:-j %jobs}
popd #build


%install
pushd build
%makeinstall
popd #build

%suse_update_desktop_file -r %{name} Education Teaching


%clean
%__rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%doc ChangeLog LICENSE README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg


%changelog
* Sat Nov 27 2010 Detlef Reichelt <detlef@links2linux.de> 2.8.0
- new upstream release <2.8.0>

* Thu Sep 09 2010 Detlef Reichelt <detlef@links2linux.de> 2.7.3
- new upstream release <2.7.3>

* Mon Jul 12 2010 Detlef Reichelt <detlef@links2linux.de> 2.7.2
- new upstream release <2.7.2>

* Sat May 25 2010 Detlef Reichelt <detlef@links2linux.de> 2.7
- new upstream release <2.7>

* Thu Feb 25 2010 Detlef Reichelt <detlef@links2linux.de> 2.6
- new upstream release <2.6>

* Mon Nov 16 2009 Detlef Reichelt <detlef@links2linux.de> 2.3.3
- rebuild for PackMan
* Sat Nov 07 2009 cornelis@solcon.nl
- update to 2.3.3
* Thu Oct 15 2009 cornelis@solcon.nl
- update to 2.3.2
* Wed Aug 05 2009 Detlef Reichelt <detlef@links2linux.de> <2.1>-<0.pm.1>
  * Add Brazilian Portuguese Handbook translation to the build
  * Config Dialog does not open for first time starting of BibleTime
  * Require Sword 1.6.0, obsolete support code removed
  * Require CMake 2.6.0
  * Re-enabled -Werror for debug builds
  * Config and Bookshelf Manager dialogs will remember their last size and position
  * Fix warning coming from document_magnifier.svg
  * Fix bug #2799800: Display broken when verse numbers are turned off
  * Fix defect, the main window icon was missing - defect # 2798758
  * Removed debug code writing a out.txt file in the current directory without warning
  * Fix problem causing Mag window to update when it should not.
  * release 2.0.beta3, hopefully the last beta
  * Added detection of curl and icu, which is optional, but may be required by Sword for linking
  * Rewrote Sword library detection code for compiling in a hopefully platform-independent way
  * Change Mag window to use language specific font type and size.
  * Fix clicking of links in the Mag Window.
  * Fix drag/drop onto the display window.
  * include bugfix from Fabio Correa: fix cmake syntax for "make test" generation
  * Add Hungarian Handbook translation to the build
  * Applied cmake patch from Greg Hellings with slight modifications
  * Applied translation patches from Jaak Ristioja
  * Applied patch from Jaak Ristioja which makes generated config.h obsolete
  * Applied patch from Jaak Ristioja which simplifies .moc file generation
  * Add translatable text for several dialogs
  * revived contributor data in about dialog
  * Add Czech translation to the build
  * Use docking windows instead of splitters for the left side windows.
  * Use default browser instead of just konqueror or firefox. This should work
    much better for non-linux platforms
  * New Help > About dialog with BibleTime, Sword, Qt, and License tabs.
  * Slightly improved clucene integration robustness with exception handling.
  * many platform-compatibility enhancements
  * Completed the port to QT. KDE is no longer required. (Hooray!)

* Mon Apr 20 2009 Pascal Bleser <pascal.bleser@opensuse.org> 1.7-0.pm.2
- renamed .desktop file to make it installable side-by-side with
  the old KDE3 based bibletime
- typo in the package name, this should have been kde4-bibletime instead
  of bibletime :\

* Tue Apr  7 2009 Pascal Bleser <pascal.bleser@opensuse.org> 1.7-0.pm.1
- update to 1.7 and renamed to kde4-bibletime

* Sat Aug 30 2008 Quentin Denis <quentin@links2linux.de>
- update to upstream 1.6.5.1
- keep 1.6.5 translations
- fixed prefix to /opt/kde3
* Tue Jan 08 2008 Detlef Reichelt <detlef@links2linux.de>
- new upstream version <1.6.5>
* Thu Oct 11 2007 Quentin Denis <quentin@links2linux.de>
- update to upstream 1.6.4
* Mon Feb 05 2007 Quentin Denis <quentin@links2linux.de>
- update to 1.6.3b: Besides several minor bugfixes the searching in unicode modules works now again
* Wed Jan 24 2007 Quentin Denis <quentin@links2linux.de>
- update to version 1.6.2
* Mon Nov 13 2006 Quentin Denis <quentin@links2linux.de>
- update to version 1.6.1
* Tue Nov 08 2005 Quentin Denis <quentin@links2linux.de>
- update to version 1.5.2
* Tue Sep 13 2005 Quentin Denis <quentin@links2linux.de>
- update to version 1.5.1
* Mon Jul 18 2005 Quentin Denis <quentin@links2linux.de>
- initial package
